Subject: [PATCH 2.6.9-rc2 5/8] S2io: module loadable parameters

From: "Ravinandan Arakali" <[email-masked]>
Date: Wed, 13 Oct 2004 18:15:27 -0700

Hi,
This patch adds/modifies the following module loadable parameters.

1. Max Txds per List.
2. statistics refresh time
3. pause frame control parameters including gap between two successive
frames, threshold
   watermarks
4. RTI and TTI configuration parameters including ranges, packet counts and
timeout periods.
   For further information please read the section 3.5 of XFrame H/W spec.
5. PCI/PCI-X configuration variables latency_timer, MMRBC and OST.
6. OS offload features TSO (If support available) and checksum offload.
7. If NAPI is not in use, a variable indicate_max_pkts can be used to limit
number of Rx
   side packets processed for one call to Rx Intr handler.

Signed-off-by: Raghavendra Koushik <[email-masked]>